<?php
/**
 * Forum Permissions bbPress
 *
 * @package   forum-permissions-bbpress
 * @author    Verdant Studio
 * @copyright 2022 Forum Permissions bbPress
 * @link      https://verdant.studio
 */

declare(strict_types=1);

namespace ForumPermissionsBbpress\Common;

use ForumPermissionsBbpress\Common\Abstracts\Base;

/**
 * Main function class for external uses
 *
 * @see forum_permissions_bbpress()
 * @package ForumPermissionsBbpress\Common
 */
class Functions extends Base {

	/**
	 * Get plugin data by using forum_permissions_bbpress()->getData()
	 *
	 * @return array
	 * @since 1.0.0
	 */
	public function getData(): array {
		return $this->plugin->data();
	}
}
